Go Back   MacRumors Forums > Apple Systems and Services > OS X

Reply
 
Thread Tools Search this Thread Display Modes
Old Dec 6, 2012, 12:09 AM   #1
chupacabra31
macrumors member
 
Join Date: Aug 2011
Why do mac users need 10.6 (4yrs old) while PCs can use winxp (11 yrs old) iTunes 11

So if you have mac you have gotta have a minimum of OS 10.6 (4 years old) which it clearly states on the box, however if you have PC its A okay to have an 11 year old OS soon to be 12?

I understand that OX 10.6 is only a $20 upgrade and for me it is no big deal. I hear a lot of outrage though from others such as I just bought this dang iphone 5 or ipad mini and paid a premium for it and now I gotta spend $20 more to use it with my mac?

Again if your being harsh you could say "Well did you read the box?"

Just wondering what apples official positioning or your best positioning as to the reason for this would be?
chupacabra31 is offline   0 Reply With Quote
Old Dec 6, 2012, 02:55 AM   #2
ChrisMan287
macrumors 6502
 
Join Date: Nov 2012
Location: NY.
Older OS' (10.5 and below) just aren't supported anymore.
__________________
15" PowerBook G4, 1.67GHz, 2GB RAM, 250GB HD ; 16GB iPad2.
ChrisMan287 is offline   1 Reply With Quote
Old Dec 6, 2012, 03:35 AM   #3
Mrbobb
macrumors 601
 
Join Date: Aug 2012
Apple is a hardware company, they throw in the software to sell hardware.

MS a software company, that's their cash cow.
Mrbobb is offline   4 Reply With Quote
Old Dec 6, 2012, 03:48 AM   #4
Beeplance
macrumors 65816
 
Beeplance's Avatar
 
Join Date: Jul 2012
Location: Singapore
I think it's just Apple trying to be funny.

iTunes should've been able to support the older operating system as well, or at least Apple should at least try to make them compatible.
Beeplance is offline   1 Reply With Quote
Old Dec 6, 2012, 04:43 AM   #5
JoeG4
macrumors 68020
 
JoeG4's Avatar
 
Join Date: Jan 2002
Location: Bay Area, Ca.
Send a message via ICQ to JoeG4 Send a message via AIM to JoeG4
And of course, no powerpc macs can run iTunes 11. On the contrary, I'm surprised they were still updating iTunes for PowerPC Macs this long. lol

Seeing as I'm probably going to retire the last powerpc machines I have next year, I don't even care anymore. It was a good run.
__________________
I've been a huge fan of Mac OS X since 2001!
JoeG4 is offline   0 Reply With Quote
Old Dec 6, 2012, 05:54 AM   #6
Menel
macrumors 601
 
Menel's Avatar
 
Join Date: Aug 2011
Location: Atlanta
iTunes likely has deeper integration with MacOS due to all coming from Apple.

In Windows, it's just an application sitting on top of everything else. There is nothing about it that would require 7. Many of Apple's customers, corporation workstations in particular are still on XP. Vista was largely skipped, so they are really only supporting 2 plaforms.
__________________
iPhone 6 iPad Air Mac mini (i5, 2011)
Menel is online now   1 Reply With Quote
Old Dec 6, 2012, 07:53 AM   #7
Interstella5555
macrumors 603
 
Interstella5555's Avatar
 
Join Date: Jun 2008
Funny, I brought this up when the 4 came out and no one seemed to care...
Interstella5555 is offline   1 Reply With Quote
Old Dec 6, 2012, 08:11 AM   #8
nickchallis92
macrumors 6502
 
Join Date: Mar 2012
Actually, this probably highlights what a brilliant job Microsoft have done in terms of compatability with older operating systems
nickchallis92 is offline   4 Reply With Quote
Old Dec 6, 2012, 08:28 AM   #9
seajay96
macrumors 6502
 
Join Date: Jun 2010
Have you considered that Apple looked at the market penetration of various operating systems and used this data to decide how much effort (ie $$) they would put in to backwards compatibility?

According to Wikipedia site statistics, there are twice as many XP systems touching their website as there are of OS X of any variant.
seajay96 is offline   0 Reply With Quote
Old Dec 6, 2012, 08:42 AM   #10
nefan65
macrumors 65816
 
nefan65's Avatar
 
Join Date: Apr 2009
Quote:
Originally Posted by nickchallis92 View Post
Actually, this probably highlights what a brilliant job Microsoft have done in terms of compatability with older operating systems
Hmmmm...Brilliant and Microsoft in the same sentence? Seems like an oxymoron...like Jumbo Shrimp.
__________________
20" Aluminum iMac, 2.0/4GB | MacbookAir 1.7 i7/8GB | iPhone 6/16GB
nefan65 is offline   0 Reply With Quote
Old Dec 6, 2012, 02:50 PM   #11
MacBoobsPro
macrumors 603
 
MacBoobsPro's Avatar
 
Join Date: Jan 2006
Send a message via AIM to MacBoobsPro
Quote:
Originally Posted by nickchallis92 View Post
Actually, this probably highlights what a brilliant job Microsoft have done in terms of compatability with older operating systems
Or... it could be that Windows 7/8 is still based on 11+ year old technology and so its no effort to write an app that works on both.
MacBoobsPro is offline   0 Reply With Quote
Old Dec 6, 2012, 02:56 PM   #12
0dev
macrumors 68040
 
0dev's Avatar
 
Join Date: Dec 2009
Location: 127.0.0.1
Quote:
Originally Posted by nickchallis92 View Post
Actually, this probably highlights what a brilliant job Microsoft have done in terms of compatability with older operating systems
Microsoft's obsession with backwards compatibility is what causes a lot of Windows' problems though. It's a two way street.

----------

Quote:
Originally Posted by MacBoobsPro View Post
Or... it could be that Windows 7/8 is still based on 11+ year old technology and so its no effort to write an app that works on both.
OS X is based on old technology too. BSD to be precise.
0dev is offline   1 Reply With Quote
Old Dec 6, 2012, 01:54 PM   #13
TacticalDesire
macrumors 68020
 
TacticalDesire's Avatar
 
Join Date: Mar 2012
Location: Michigan
Because MS owns the desktop OS market.
__________________
GSM Unlocked Moto X 16gb (Android 4.4.3)
ATT Nokia Lumia 520 8gb (Windows Phone 8.1)
Slate iPod Touch 5th Generation 32gb (iOS 6.1.2)
Slate iPad Mini 16gb (iOS 7.1.1)
TacticalDesire is offline   2 Reply With Quote
Old Dec 7, 2012, 08:55 AM   #14
Fishrrman
macrumors 68040
 
Join Date: Feb 2009
"So if you have mac you have gotta have a minimum of OS 10.6 (4 years old) which it clearly states on the box, however if you have PC its A okay to have an 11 year old OS soon to be 12?"

Apple cares not for "backward compatibility", for them, it's "sell new stuff" !!

If your older version of the OS is outdated, well, "time to buy a new Mac, iPod, iPhone, whatever!"

BTW, I'm typing this on a PowerMac g4 that is going on nine years old, running OS 10.4.

You don't really "have to have" 10.6 ...
Fishrrman is offline   0 Reply With Quote

Reply
MacRumors Forums > Apple Systems and Services > OS X

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Similar Threads
thread Thread Starter Forum Replies Last Post
'AirPlay Recorder' App Lets Mac Users Save Songs From iTunes Radio MacRumors Mac Blog Discussion 54 Mar 24, 2014 10:48 AM
I want to use my mac to make a bootable WinXP USB drive? filmbuff Windows, Linux & Others on the Mac 1 Mar 8, 2014 07:37 PM
iTunes extra on an AppleTV2 - Macbook Air, and a WinXP itunes server ... ftaok Apple TV and Home Theater 0 Sep 18, 2013 08:10 AM
winxp on mac air 2012 no disc drivers pilsar1230 Windows, Linux & Others on the Mac 1 Apr 21, 2013 12:42 PM
Homegroup problem with mac and 3 pcs FTLOSM Windows, Linux & Others on the Mac 0 Mar 16, 2013 07:19 PM

Forum Jump

All times are GMT -5. The time now is 05:34 AM.

Mac Rumors | Mac | iPhone | iPhone Game Reviews | iPhone Apps

Mobile Version | Fixed | Fluid | Fluid HD
Copyright 2002-2013, MacRumors.com, LLC